% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/simulate_inputs.R
\name{simulate_axiom_summary}
\alias{simulate_axiom_summary}
\title{Simulate an Axiom array summary file}
\usage{
simulate_axiom_summary(file_path, n_probes = 100, n_samples = 10, seed)
}
\arguments{
\item{file_path}{The path where the simulated summary file will be saved.}

\item{n_probes}{Number of probes to simulate. Default is 100.}

\item{n_samples}{Number of samples to simulate. Default is 10.}

\item{seed}{The seed for random number generation to ensure reproducibility.}
}
\value{
None. The function writes the simulated summary content to the specified file.
}
\description{
This function generates a simulated Axiom array summary file with probe IDs ending in `-A` or `-B` and sample intensities. The intensities are simulated based on the genotype of the sample: homozygous for A, homozygous for B, or heterozygous.
}
